# infrastructure/modules/base/storageclass/asteria.yaml
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: asteria
parameters:
  diskSelector: asteria
  fromBackup: ""
  numberOfReplicas: "2"
  staleReplicaTimeout: "30"
  fsType: "ext4"
  replicaAutoBalance: "least-effort"
  dataLocality: "disabled"
provisioner: driver.longhorn.io
reclaimPolicy: Retain
allowVolumeExpansion: true
volumeBindingMode: Immediate
